wtype(1)

NAME
wtype - xdotool type for Wayland

SYNOPSIS
wtype [TEXT]

wtype [OPTION_OR_TEXT]... -- [TEXT]...

wtype [OPTION_OR_TEXT] -

DESCRIPTION

wtype is a Wayland tool that allows you to simulate keyboard input like xdotool type for X11. This is accomplished via the virtual-keyboard Wayland protocol.

OPTIONS
Modifier can be one of "shift", "capslock", "ctrl", "logo", "win", "alt", "altgr". Beware that the modifiers get released automatically once the program terminates.

Named keys are resolved by libxkbcommon, valid identifiers include "Left" and "Home".

-M MOD
    Press modifier MOD.

-m MOD
    Release modifier MOD.

-P KEY
    Press key KEY.

-p KEY
    Release key KEY.

-k KEY
    Type (press and release) key KEY.

-d TIME
    Sleep for TIME milliseconds between keystrokes when typing texts. Can be used multiple times, default 0.

-s TIME
    Sleep for TIME milliseconds before interpreting the following options. This can be used to perform more complicated modifier sequences.

-   Read text to type from stdin. This option can appear only once.

BUGS
No known bugs.

AUTHOR
wtype has been started by Josef Gajdusek. Man page is written by Michael 'jubalh' Vetter.